Integrated video interface is broken in Jaunty

Bug #314038 reported by Matti Lindell on 2009-01-05
968
This bug affects 207 people
Affects Status Importance Assigned to Milestone
Ubuntu PS3 Port
Undecided
Unassigned
VLC media player
Fix Released
Unknown
vlc (Debian)
Fix Released
Undecided
Unassigned
vlc (Ubuntu)
Undecided
Unassigned
Nominated for Jaunty by Matt Joiner

Bug Description

Binary package hint: vlc

This is same issue as in bug #282582 (was for intrepid). Patch described in https://bugs.edge.launchpad.net/ubuntu/+source/vlc/+bug/282582/comments/6 was dropped during last merge, but it's still required for "Integrated video interface" with 0.9.8a.

UPDATE: The problem will probably NOT be solved until a stable 1.0 is released.
"The problem is solved upstream with *extensive* changes in the 1.0 branch, now past first Release Candidate. We (the VideoLAN project) will _not_ backport the fix to the 0.9 series."
https://bugs.launchpad.net/ubuntu/+source/vlc/+bug/314038/comments/24

SOLUTION (temporary):
vlc 1.0 is out, you can get it from one of these PPA repositories:
a) https://launchpad.net/~c-korn/+archive/vlc
b) https://launchpad.net/~motumedia/+archive/ppa

DOWNSIDES of vlc 1.0:
None so far

ME-TOOs: If you only want to say that it happens to you as well, choose "Yes" here: https://bugs.launchpad.net/ubuntu/+source/vlc/+bug/314038/+affectsmetoo

Matti Lindell (mlind) wrote :

Here's a debdiff if required. It seems that libsamplerate0-dev is now required or package FTBFS.

Matti Lindell (mlind) wrote :
Tuomas Aavikko (taavikko) wrote :

Confirmed bug.

Changed in vlc:
status: New → Confirmed
Changed in vlc:
status: Unknown → New
Rémi Denis-Courmont (rdenis) wrote :

For the umpteenth time, this patch (vlc-0.9.8a/debian/patches/400_enable_embedded_video.diff) is WRONG. I know what I'm talking about for it is I who wrote it.

Matti Lindell (mlind) wrote :

Rémi, it seems that vlc git has had some activity regarding this issue few days ago. What commits do suggest to cherry-pick to fix this issue properly?

Rémi Denis-Courmont (rdenis) wrote :

I guess the key is 19f1b2ee4608ff6c6935d0f8c7289bcebb0e7f7e, but that's as far from trivial a backport as could be. At least, *I* do not have time for this.

Changed in vlc:
status: New → Fix Released
Shirish Agarwal (shirishag75) wrote :

It seems to have been fixed yesterday or today (depending on which time-frame one is living in) so if somebody can fix this, please do so.

Matti Lindell (mlind) wrote :

backporting the fix is non-trivial, so we probably need a git snapshot of current HEAD. Upstream advises against the fix we have in Intrepid as it appears to be broken. Could someone in MOTU Media Team take this ?

Rémi Denis-Courmont (rdenis) wrote :

I doubt HEAD is stable enough to be packaged as of today...

Tuomas Aavikko (taavikko) wrote :

Any news on current HEAD status?

Rémi Denis-Courmont (rdenis) wrote :

There are some nasty bugs left in the current 1.0 snapshots. I'm having various issues playing DVDs.

Realistically, I doubt it will be "releasable" in time for Ubuntu 9.04.

Savvas Radevic (medigeek) wrote :

Attached the debdiff, using patch from http://aur.archlinux.org/packages/vlc-embeddedvideo/vlc-embeddedvideo/embeddedvideo.patch

Can someone test this vlc in my PPA:
https://launchpad.net/~medigeek/+archive/ppa
http://ppa.launchpad.net/medigeek/ppa/ubuntu/pool/main/v/vlc/

I've tested it locally and it embeds the video in vlc just fine.
The debdiff includes some more fixes:

vlc (0.9.8a-1ubuntu4) jaunty; urgency=low

  * Added patch: 500_embedded_video.diff (LP: #314038)
  * debian/control, debian/compat - satisfied lintian:
    debhelper-script-needs-versioned-build-depends dh_prep (>= 7)
  * Removed file ./patch - satisfied lintian:
    patch-system-but-direct-changes-in-diff patch

 -- Savvas Radevic <email address hidden> Sat, 21 Feb 2009 05:57:26 +0100

Siegie (siegie) wrote :

I've tested the packages and it seems to work just fine.
Thanks.

Savvas Radevic (medigeek) wrote :

Please use the link to the vlc packages directly, don't add my PPA (or be careful what you update)!
http://ppa.launchpad.net/medigeek/ppa/ubuntu/pool/main/v/vlc/

Rémi Denis-Courmont (rdenis) wrote :

How is this different from the earlier BUGGY patch?

I fail to see how this fixes the crashes that brought the removal of the integrated video in the first place.

I don't know, it's working at least. The only problem I've found is
that *sometimes* (not always) when you press "stop", it crashes.

Changed in vlc:
status: Unknown → Confirmed
Matt Joiner (anacrolix) wrote :

Thanks for the patch and PPA link Savvas! Works great.
VLC has been frustrating to use without integrated video.

Rémi Denis-Courmont (rdenis) wrote :

> I don't know, it's working at least. The only problem I've found is
> that *sometimes* (not always) when you press "stop", it crashes.

In other words, it is NOT working...

Jithin Emmanuel (jithin1987) wrote :

Is it safe ti use the vlc from the ppa

Savvas Radevic (medigeek) wrote :

> In other words, it is NOT working...

You're right. I don't mean to offend anyone, but considering the fact
that vlc (at least by me personally) is used mostly in fullscreen
mode, I like to have the functions of the embedded video, even if it's
buggy. :)

The place for vlc + this patch is right however, in a PPA repository
and not in ubuntu repositories, third-party and unsupported. :)

> Is it safe ti use the vlc from the ppa

As safe as a third-party patch: no guarantees and no support
whatsoever - if you use the package with the patch, you enable the
crashes that come with it.
If you wish to use it, do NOT add the ppa in your repositories!!

Instead, download and install the *.deb package files from this url:
http://ppa.launchpad.net/medigeek/ppa/ubuntu/pool/main/v/vlc/

Christoph Korn (c-korn) wrote :

As I see this bug is still not fixed in 0.9.9rc2.

Is there any chance to get embedded video in jaunty?

unggnu (unggnu) wrote :

Afaik the old patch was integrated in Intrepid. The problem is a possible crash but I haven't had any big issues with Intrepid Vlc.
So if I have to choose between possible Vlc crashes or a non integrated video output I would choose the first one. At least if it behaves the same like in Intrepid.

unggnu (unggnu) wrote :

So what is the plan for this problem?

Btw. if this patch was the reason that vlc hangs on exit I can confirm the behavior but I had always run vlc with a && killall -9 vlc afterwards :)

Rémi Denis-Courmont (rdenis) wrote :

The problem is solved upstream with *extensive* changes in the 1.0 branch, now past first Release Candidate. We (the VideoLAN project) will _not_ backport the fix to the 0.9 series.

unggnu (unggnu) wrote :

How stable is the 1.0 branch? Maybe a beta/rc could be shipped. Wouldn't be the first time for Ubuntu afaik and it is universe anyway.

Matt Joiner (anacrolix) wrote :

Please do! I've been using Savvas' 0.9.x series vlc with integrated video.
I compiled the vlc1.0 prerelease, and it fixes the video integration
flawlessly.

On Wed, Apr 1, 2009 at 3:26 AM, unggnu <email address hidden> wrote:

> How stable is the 1.0 branch? Maybe a beta/rc could be shipped. Wouldn't
> be the first time for Ubuntu afaik and it is universe anyway.
>
> --
> Integrated video interface is broken in Jaunty
> https://bugs.launchpad.net/bugs/314038
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Savvas Radevic (medigeek) wrote :

Is anyone providing a deb package for jaunty of vlc 1.0 yet?

On 4/1/09, eruanno <email address hidden> wrote:
> Please do! I've been using Savvas' 0.9.x series vlc with integrated video.
> I compiled the vlc1.0 prerelease, and it fixes the video integration
> flawlessly.
>
> On Wed, Apr 1, 2009 at 3:26 AM, unggnu <email address hidden> wrote:
>
>> How stable is the 1.0 branch? Maybe a beta/rc could be shipped. Wouldn't
>> be the first time for Ubuntu afaik and it is universe anyway.
>>
>> --
>> Integrated video interface is broken in Jaunty
>> https://bugs.launchpad.net/bugs/314038
>> You received this bug notification because you are a direct subscriber
>> of the bug.
>>
>
> --
> Integrated video interface is broken in Jaunty
> https://bugs.launchpad.net/bugs/314038
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
Sent from my mobile device

Christoph Korn (c-korn) wrote :

Has vlc-1.0 been released, yet?
If so I could provide a package in my PPA.

Savvas Radevic (medigeek) wrote :

Ah no, sorry, Rémi mentioned an RC (release candidate?) version in a
comment above. As far as I can see, 0.9.9 is out :)

Benjamin Drung (bdrung) wrote :

But vlc 0.9.9 does not solve the problem.

Christoph Korn (c-korn) wrote :

Right, vlc 0.9.9 does not solve the problem.

However I have created packages of 0.9.9 for intrepid and jaunty:
intrepid: https://launchpad.net/~c-korn/+archive/ppa
jaunty: https://launchpad.net/~getdeb.packages/+archive/ppa

elwario91 (elwario91) wrote :

Please include a newer version in Jaunty to fix this bug (in updates or backports?)...

unggnu (unggnu) wrote :

I have tried to build VLC 1.0 from sources but even the vlc source dependencies seems to be broken in Jaunty atm.

$ sudo apt-get build-dep vlcReading package lists... Done
Building dependency tree
Reading state information... Done
E: Build-dependencies for vlc could not be satisfied.

I am using current Jaunty.

Benjamin Drung (bdrung) wrote :

With up-to-date Ubuntu 9.04 "sudo apt-get build-dep vlc" works for me. Do you have all required repositories enabled?

Mark (mark-wege) wrote :

I am using Kubuntu Jaunty Beta with uptodate packages. I have the same bug, bug may be another which I am not sure how related it is. So I am posting here.
The bug is, that apart from having a separated video interface, the video is only displayed for about a second. Then I only here the sound. I can see the video, when I move the windows. So may be this is another bug, related to KWIN, but I am not sure. Thats why I ask here, if some experiences the same on Ubuntu or if this is only Kubuntu-related.

unggnu (unggnu) wrote :

@Mark
Most likely it is a driver bug. Disable desktop effects and check if it works then.
In any case I would report a bug against your graphic driver. You can use "ubuntu-bug xserver-xorg-video-<DRIVERNAME>" to create the report and attach all needed information.

Chris Roddy (cmr) wrote :

if this ships with embedded playback disabled, the option should be removed from the interface.

unggnu (unggnu) wrote :

@Benjamin Drung
The problem was k/ubuntu-restricted-extras which installs some unstripped libraries. If they are installed you couldn't install vlc build dependencies.

I have reported this issue under Bug #356076.

unggnu (unggnu) wrote :

Btw. there is a ppa with VLC 1.0.0-pre1 for Jaunty. https://launchpad.net/~tim-kornhammar/+archive/ppa
Seems to work fine so far.

I found the "embedded-video" bug on ubuntu jaunty ps3 port also, hope for a fix.

Julian Lam (julian-lam) wrote :

If a fix was released for vlc, will we get an updated version on Jaunty repositories before release?

David Horváth (chronos-hun) wrote :

I have the same problem, upgraded from Intrepid. Any workarounds?

ross (ross-rossmoore) wrote :

"Btw. there is a ppa with VLC 1.0.0-pre1 for Jaunty. https://launchpad.net/~tim-kornhammar/+archive/ppa
Seems to work fine so far."

This only seems to include a package for Intrepid. I'm crossing my fingers for a fix for this soon for Jaunty - this is a key piece of software for many Ubuntu users, and the on-screen controls really made a difference to perception.

Ole Jon Bjørkum (oj88) wrote :

This bug is confirmed and annoying. VLC worked perfectly in Intrepid, but not in Jaunty.

Matt Joiner (anacrolix) wrote :

I've been using the nightly build, vlc-snapshot-20090405.tar.bz2 without problems since April 5th on Jaunty.

Chonnawonga (brad-meredith) wrote :

Grazie, Ciso! Works like a charm.

Now, can we please get this fix into Jaunty?

Madox (madox-madox) wrote :

Thanks Ciso for the PPA, works great here too on released Jaunty.

mp (m-p) wrote :

When can an updated version for Jaunty be expected - if at all? - in the Ubuntu Universe repo?

description: updated
Binnette (binnette) wrote :

There us exactly the same matter with VLC 0.9.9a on Ubuntu 9.04.

Gabriel de Perthuis (g2p) wrote :

For people willing to try vlc 1.0 snapshots, here's a ppa: https://launchpad.net/~freshmedia/+archive/ppa/ (same packagers as comment 34).

mp (m-p) wrote :

Gabriel de Perthuis wrote:
> For people willing to try vlc 1.0 snapshots, here's a ppa:
> https://launchpad.net/~freshmedia/+archive/ppa/ (same packagers as
> comment 34).

That sounds good. Any feedback from users that is relevant to consider?

Such as: How stable is it?

Any issues at all?

Just working?

Working for some?

Savvas Radevic (medigeek) wrote :

Works fine here, your mileage may vary. :)

sudo aptitude purge libavcodec52 libavutil-unstripped-49 libavformat52 libavformat-unstripped-52 libavdevice-unstripped-52 libavfilter-unstripped-0 vlc vlc-nox ffmpeg
sudo aptitude update
sudo aptitude install vlc ffmpeg

mp (m-p) wrote :
Download full text (5.4 KiB)

Savvas Radevic wrote:
> Works fine here, your mileage may vary. :)
>
> sudo aptitude purge libavcodec52 libavutil-unstripped-49 libavformat52 libavformat-unstripped-52 libavdevice-unstripped-52 libavfilter-unstripped-0 vlc vlc-nox ffmpeg

Is this necessary? A good thing to do?

$ sudo aptitude purge libavcodec52 libavutil-unstripped-49 libavformat52
libavformat-unstripped-52 libavdevice-unstripped-52
libavfilter-unstripped-0 vlc vlc-nox ffmpeg
[sudo] password for mp:
Reading package lists... Done
Building dependency tree
Reading state information... Done
Reading extended state information
Initialising package states... Done
The following packages are BROKEN:
  ffmpeg2theora gstreamer0.10-ffmpeg libavcodec-unstripped-52
libavdevice52 libpostproc51 libswscale0
The following packages will be REMOVED:
  libavformat52{p} libavutil-unstripped-49{p} libdvbpsi4{u}
libiso9660-5{u} liblua5.1-0{u} libsdl-image1.2{u} libtar{u}
  libvcdinfo0{u} libvlc2{u} libvlccore0{u} vlc{p} vlc-data{u} vlc-nox{p}
0 packages upgraded, 0 newly installed, 13 to remove and 0 not upgraded.
Need to get 0B of archives. After unpacking 32.0MB will be freed.
The following packages have unmet dependencies:
  libswscale0: Depends: libavutil49 (>= 3:0.svn20090303) but it is not
installable or
                        libavutil-unstripped-49 (>= 3:0.svn20090303) but
it is not installable
               Depends: libavutil49 (< 3:0.svn20090303-99) but it is not
installable or
                        libavutil-unstripped-49 (< 3:0.svn20090303-99)
but it is not installable
  libpostproc51: Depends: libavutil49 (>= 3:0.svn20090303) but it is not
installable or
                          libavutil-unstripped-49 (>= 3:0.svn20090303)
but it is not installable
                 Depends: libavutil49 (< 3:0.svn20090303-99) but it is
not installable or
                          libavutil-unstripped-49 (< 3:0.svn20090303-99)
but it is not installable
  libavcodec-unstripped-52: Depends: libavutil-unstripped-49 (>=
3:0.svn20090303) but it is not installable
                            Depends: libavutil-unstripped-49 (<
3:0.svn20090303-99) but it is not installable
  gstreamer0.10-ffmpeg: Depends: libavformat52 (>= 3:0.svn20090303-1)
but it is not installable or
                                 libavformat-unstripped-52 (>=
3:0.svn20090303-1) but it is not installable
                        Depends: libavutil49 (>= 3:0.svn20090303-1) but
it is not installable or
                                 libavutil-unstripped-49 (>=
3:0.svn20090303-1) but it is not installable
  ffmpeg2theora: Depends: libavformat52 (>= 3:0.svn20081101-1) but it is
not installable or
                          libavformat-unstripped-52 (>=
3:0.svn20081101-1) but it is not installable
                 Depends: libavutil49 (>= 3:0.svn20081101-1) but it is
not installable or
                          libavutil-unstripped-49 (>= 3:0.svn20081101-1)
but it is not installable
  libavdevice52: Depends: libavformat52 (>= 3:0.svn20090303) but it is
not installable or
                          libavformat-unstripped-52 (>= 3:0.svn20090303)
but it is not installable
                 Depends: libavformat52 (< 3:0.svn20090303-99) but it...

Read more...

Jim Louvau (jlouvau) wrote :

Works here after working out dependency errors similar to mp's above. However, the libfaad* stuff that it installed seems to have nuked libfaad.so.0, which broke Avidemux among other things (error == can't find libfaad.so.0). So yes, it works but there seems to be a load of dependency issues with the various librarys and other apps that use them.

Savvas Radevic (medigeek) wrote :

> Is this necessary? A good thing to do?
It is necessary because there might be some dependency problems with
meta-packages ("fake packages" that install others) like
ubuntu-restricted-extras.

Once you resolve these, you should be ok. Use aptitude and not
apt-get, it can handle dependencies and provide better solutions. :)

Savvas Radevic (medigeek) wrote :

Once you install the new ffmpeg and vlc from the repository, you can
reinstall the other packages, for example:
$ sudo aptitude install ffmpeg2theora
[sudo] password for forger:
Reading package lists... Done
Building dependency tree
Reading state information... Done
Reading extended state information
Initializing package states... Done
Writing extended state information... Done
The following NEW packages will be installed:
  ffmpeg2theora
0 packages upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
Need to get 0B/29.3kB of archives. After unpacking 131kB will be used.
Writing extended state information... Done
Selecting previously deselected package ffmpeg2theora.
(Reading database ... 127047 files and directories currently installed.)
Unpacking ffmpeg2theora (from .../ffmpeg2theora_0.23-0ubuntu2_amd64.deb) ...
Processing triggers for man-db ...
Setting up ffmpeg2theora (0.23-0ubuntu2) ...
Reading package lists... Done
Building dependency tree
Reading state information... Done
Reading extended state information
Initializing package states... Done
Writing extended state information... Done

$

Savvas Radevic (medigeek) wrote :

> However, the libfaad* stuff that it installed seems to have nuked
> libfaad.so.0, which broke Avidemux among other things (error == can't
> find libfaad.so.0).

sudo ln -s /usr/lib/libfaad.so.2 /usr/lib/libfaad.so.0

It runs, but do try avidemux and let us know if it works properly with
an encoding.

Savvas Radevic (medigeek) wrote :

In case your totem doesn't work, make sure you have libavutil-unstripped-49:
sudo aptitude install libavutil-unstripped-49

That's about it. But we're getting kind of off-topic here, so please
forward any problems to the freshmedia team:
https://launchpad.net/~freshmedia

Savvas Radevic (medigeek) wrote :

> In case your totem doesn't work, make sure you have libavutil-unstripped-49:
> sudo aptitude install libavutil-unstripped-49

and libavutil49:
sudo aptitude install libavutil-unstripped-49 libavutil49

(sorry for the multiple emails, stopped)

Reinhard Tartler (siretart) wrote :

Savvas Radevic <email address hidden> writes:

>> However, the libfaad* stuff that it installed seems to have nuked
>> libfaad.so.0, which broke Avidemux among other things (error == can't
>> find libfaad.so.0).
>
> sudo ln -s /usr/lib/libfaad.so.2 /usr/lib/libfaad.so.0
>
> It runs, but do try avidemux and let us know if it works properly with
> an encoding.

please don't give bad advice like this. Rather get the applications
recompiled against new versions of the library to avoid confused users
filing bugs because of misconfigured systems.

--
Gruesse/greetings,
Reinhard Tartler, KeyID 945348A4

Savvas Radevic (medigeek) wrote :

Noted, sorry (this is where an "edit comment" would come in handy heh)

jchronakis (jchronakis) wrote :

I just upgraded to Jaunty from Intrepid and had the problem withe integrated video.

I installed the patched version from http://launchpad.net/~medigeek/+archive/ppa and it works great for me. No crashes yet (after using it for a day). No broken dependencies, at least that I know of and the rest of the players (totem, kaffeine) work fine too.

Thank you very much!

Savvas Radevic (medigeek) wrote :

> I installed the patched version from
> http://launchpad.net/~medigeek/+archive/ppa and it works great for me.
> No crashes yet (after using it for a day). No broken dependencies, at
> least that I know of and the rest of the players (totem, kaffeine) work
> fine too.
>
> Thank you very much!

Good to know, thank you for your report :)
Say, did anyone else step onto any crashes while using the package
from my PPA (medigeek)? I think the crashes stopped with 0.9.9
version.

VPablo (villumar) wrote :

Yesterday I had a crash from the PPA's vlc but no idea why. No problem.

2009/5/1 Savvas Radevic <email address hidden>

> > I installed the patched version from
> > http://launchpad.net/~medigeek/+archive/ppa<http://launchpad.net/%7Emedigeek/+archive/ppa>and it works great for me.
> > No crashes yet (after using it for a day). No broken dependencies, at
> > least that I know of and the rest of the players (totem, kaffeine) work
> > fine too.
> >
> > Thank you very much!
>
> Good to know, thank you for your report :)
> Say, did anyone else step onto any crashes while using the package
> from my PPA (medigeek)? I think the crashes stopped with 0.9.9
> version.
>
> --
> Integrated video interface is broken in Jaunty
> https://bugs.launchpad.net/bugs/314038
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in Ubuntu PS3 Port: New
> Status in VLC media player: Fix Released
> Status in “vlc” source package in Ubuntu: Confirmed
> Status in “vlc” source package in Debian: Confirmed
>
> Bug description:
> Binary package hint: vlc
>
> This is same issue as in bug #282582 (was for intrepid). Patch described in
> https://bugs.edge.launchpad.net/ubuntu/+source/vlc/+bug/282582/comments/6was dropped during last merge, but it's still required for "Integrated
> video interface" with 0.9.8a.
>
> UPDATE: The problem will probably NOT be solved until a stable 1.0 is
> released.
> "The problem is solved upstream with *extensive* changes in the 1.0 branch,
> now past first Release Candidate. We (the VideoLAN project) will _not_
> backport the fix to the 0.9 series."
> https://bugs.launchpad.net/ubuntu/+source/vlc/+bug/314038/comments/24
>
> SOLUTION (temporary): There is a package that contains a temporary patch
> which re-enables the integrated video interface, install vlc from this PPA:
> http://launchpad.net/~medigeek/+archive/ppa<http://launchpad.net/%7Emedigeek/+archive/ppa>
>
> DOWNSIDE: Note that by using this patch, vlc probably might crash, that's
> normal and that's why this patch is not proposed as a fix for jaunty.
>
> ME-TOOs: If you only want to say that it happens to you as well, choose
> "Yes" here:
> https://bugs.launchpad.net/ubuntu/+source/vlc/+bug/314038/+affectsmetoo
>

VPablo (villumar) wrote :

Yesterday I had a crash from the PPA's vlc but no idea why. No problem.

Jim Louvau (jlouvau) wrote :

Thanks for trying to help Saavas, but that wasn't the point of my post. I understood that the package was in need of testing, possibly for inclusion as an update or backport to Jaunty. In that light, I was trying to point out that it will possibly/probably break one or more things on somebody's system if they just install the package in say Synaptic.

If that assumption was incorrect and all we want is a PPA we can "hack" to work individually then I apologise for wasting bandwidth.

Savvas Radevic (medigeek) wrote :

> In that light, I was
> trying to point out that it will possibly/probably break one or more
> things on somebody's system if they just install the package in say
> Synaptic.

You're probably right, I hope 1.0 will make it into karmic!

Matthew Monaco (dgbaley27) wrote :

Is the fact that controls don't show in fullscreen mode related to this bug?

Savvas Radevic (medigeek) wrote :

yes

Aviv (ademorga) wrote :

No. Controls should not appear in full-screen mode until mouse movement is
executed.

Quoting Meson <email address hidden>:

> Is the fact that controls don't show in fullscreen mode related to this
> bug?
>
> --
> Integrated video interface is broken in Jaunty
> https://bugs.launchpad.net/bugs/314038
> You received this bug notification because you are a direct subscriber
> of the bug.

------------------------------------------------------------------------
This message was sent using IMP, the Webmail Program of Haifa University

Adam Niedling (krychek) wrote :

Aviv: But there are no controls even when I'm moving the mouse......

Matt Joiner (anacrolix) wrote :

Yeah I believe the separation of controls from the video window, including
in full screen mode, are covered by this bug.

On Tue, May 5, 2009 at 8:50 PM, Adam Niedling <email address hidden> wrote:

> Aviv: But there are no controls even when I'm moving the mouse......
>
> --
> Integrated video interface is broken in Jaunty
> https://bugs.launchpad.net/bugs/314038
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Aviv (ademorga) wrote :

Yep, that's the major problem.

Quoting Matt Joiner <email address hidden>:

> Yeah I believe the separation of controls from the video window, including
> in full screen mode, are covered by this bug.
>
> On Tue, May 5, 2009 at 8:50 PM, Adam Niedling <email address hidden> wrote:
>
> > Aviv: But there are no controls even when I'm moving the mouse......
> >
> > --
> > Integrated video interface is broken in Jaunty
> > https://bugs.launchpad.net/bugs/314038
> > You received this bug notification because you are a direct subscriber
> > of the bug.
> >
>
> --
> Integrated video interface is broken in Jaunty
> https://bugs.launchpad.net/bugs/314038
> You received this bug notification because you are a direct subscriber
> of the bug.

------------------------------------------------------------------------
This message was sent using IMP, the Webmail Program of Haifa University

Aviv (ademorga) wrote :

We'll, in that case, there is another bug ;-) Controls SHOULD appear in
full-screen mode when mouse is moved.

Quoting Adam Niedling <email address hidden>:

> Aviv: But there are no controls even when I'm moving the mouse......
>
> --
> Integrated video interface is broken in Jaunty
> https://bugs.launchpad.net/bugs/314038
> You received this bug notification because you are a direct subscriber
> of the bug.

------------------------------------------------------------------------
This message was sent using IMP, the Webmail Program of Haifa University

Savvas Radevic (medigeek) wrote :

> We'll, in that case, there is another bug ;-) Controls SHOULD appear in
> full-screen mode when mouse is moved.

As I said, yes. :) The patch fixes this unwanted behaviour but might
introduce crashes.

Matthew Monaco (dgbaley27) wrote :

Eh, I think the fullscreen controls thing is another symptom of the same bug, being that it is fixed by the patch in the PPA listed above.

Christoph Korn (c-korn) wrote :

I have built vlc-1.0.0-rc1 for jaunty in my PPA.
https://launchpad.net/~c-korn/+archive/vlc

VLC requires qt4-4.5.1 which I took from karmic.
I did not encounter any problems but this release may have regressions or other bugs.

Aviv (ademorga) wrote :

Many thanks, I'll try it.

Quoting Christoph Korn <email address hidden>:

> I have built vlc-1.0.0-rc1 for jaunty in my PPA.
> https://launchpad.net/~c-korn/+archive/vlc
>
> VLC requires qt4-4.5.1 which I took from karmic.
> I did not encounter any problems but this release may have regressions or
> other bugs.
>
> --
> Integrated video interface is broken in Jaunty
> https://bugs.launchpad.net/bugs/314038
> You received this bug notification because you are a direct subscriber
> of the bug.

------------------------------------------------------------------------
This message was sent using IMP, the Webmail Program of Haifa University

brazz (brazz-ardent) wrote :

Thanks a lot, it resolves my problems of compilation... I installed these packets and this walks very well!

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package vlc - 1.0.0~rc2-1ubuntu1

---------------
vlc (1.0.0~rc2-1ubuntu1) karmic; urgency=low

  * New upstream version.
  * tighten build-dependencies on libschroedinger-dev, fixes FTBFS.
  * Following bugs have an associated and now closed upstream ticket in
    Launchpad: LP: #281295, #73449, #282567, #117640, #172938, #260918,
    #273685, #275043, #277834, #282394, #290753, #294136, #298925, #304265,
    #309728, #311742, #314038

vlc (1.0.0~rc2-1) experimental; urgency=low

  * New Upstream Release Candidate
    + Closes: #527010, #491441, #508618, #522824
  * Delete patches which were picked from upstream
  * Refresh patches
  * Remove vlc-plugin-esd and vlc-plugin-arts as they have been removed
    by upstream
  * SONAME change for libvlccore
  * Add new symbols for libvlc2
  * Fix static libs compile
  * Use vlc-wrapper manpage from upstream
  * vlc.install: add drawable and screen was renamed x11_screen
  * vlc-nox.install: Add and remove modules added/removed upstream
  * Point out in NEWS the modules renamed or splited
  * Add links to upstream NEWS and co in vlc-nox
  * Version the depedency of libvlcore2 on vlc-data
  * Remove unnecessary "Section:" in debian/control

vlc (0.9.9a-3) unstable; urgency=low

  * Correct typo in 0.9.9a-2 changelog entry
  * Disable more optimization with DEB_BUILD_OPTIONS=noopt
  * Cache the configure test results as we're running configure several
    times
  * Fix building as root
  * Fix the clean target
  * Remove unexistant config options
  * Better check commad line
  * Use all the procs on i386 and amd64
  * Build a version of libvlccore without altivec (Closes: #523035)
  * Fix typo (thanks to Salvatore Bonaccorso)(Closes: #528044)
  * Reword the command line to get full logs in bug/presubj (Closes: #527012)
  * Remove duplicate "extended Settings" entry in context menu
   (Closes: #526603) - thanks to Matt Kraai

 -- Reinhard Tartler <email address hidden> Fri, 05 Jun 2009 12:28:15 +0200

Changed in vlc (Ubuntu):
status: Confirmed → Fix Released
Savvas Radevic (medigeek) wrote :

Perhaps this could be backported for jaunty-backports? :)

Reinhard Tartler (siretart) wrote :

Savvas Radevic <email address hidden> writes:

> Perhaps this could be backported for jaunty-backports? :)

needs a newer libschroedinger.

I think this is more a candidate for the motumedia PPA. any takers?

--
Gruesse/greetings,
Reinhard Tartler, KeyID 945348A4

Benjamin Drung (bdrung) wrote :

You can grab the package from my backports PPA [1]. If you want to use vlc, you also need to grab the liboil and schroedinger packages. Reinhard, feel free to copy these packages to motumedia PPA.

[1] https://launchpad.net/~bdrung/+archive/backports

szofiel (tegretolo) wrote :

This is no ordinary bug. In fact, it shouldn't be commited to VLC. It's exactly the same behavior than the GIMP shows: instead of an integrated windows that groups all three windows as one single Utility window, it brokes the three apart. So far this seems to be a matter of sloppy code from Compiz-fusion that renders out every Image and Video applications all wrong.

One application? Okay, there's a bug. But two already hugely useful and famous as VLC and the GIMP? There must be someone who tell to the Compiz-Fusion development team.

Savvas Radevic (medigeek) wrote :

I have updated the description.
szofiel:
- vlc 1.0 works pretty well. Try it out from the repositories.

- You could also try out: apt://smplayer

Correct me if I'm wrong, but from the looks of it, vlc 1.0 might not be updated in jaunty (Ubuntu 9.04) because of its dependencies. It is already in karmic (future 9.10) though. :)

description: updated
tags: added: upgrade
Benjamin Drung (bdrung) wrote :

It will probably not make it into jaunty. For everyone who want vlc 1.0 you can grab it from the PPAs.

Savvas Radevic (medigeek) wrote :

Can someone set it as "Won't Fix"? :)

Is there any vlc 1.0.0 build for Jaunty PowerPC? Could someone please add it to the PPAs? I've had some trouble to compile it by myself.

Thanks in advance :)

Benjamin Drung (bdrung) wrote :

The PPAs do not support PowerPC.

Alex (jelly) wrote :

I solved this issue by deleting the files in ./config/vlc

LinkedIn
------------

Bug,

I'd like to add you to my professional network on LinkedIn.

- Matthew Joiner

Confirm that you know Matthew Joiner
https://www.linkedin.com/e/isd/856848883/ePseBNmc/

Every day, millions of professionals like Matthew Joiner use LinkedIn to connect with colleagues, find experts, and explore opportunities.

------
(c) 2009, LinkedIn Corporation

Changed in vlc:
milestone: none → 1.0.4
milestone: 1.0.4 → none
Rémi Denis-Courmont (rdenis) wrote :

Debian #508618 is archived. Overriding status manually

Changed in vlc (Debian):
importance: Unknown → Undecided
status: Confirmed → New
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.